print("sovereign vs heam - no shield");
d = GetGameVar("C6M5_diff") + 0;

--monsters: infernal succubus, cerberi, vampires

 function Prepare()
	EnableCinematicCamera(nil);
	sleep(10);
	SummonCreature(DEFENDER, 22, 50 + d * 10, 10, 8);
	sleep(10);
	SummonCreature(DEFENDER, 22, 50 + d * 10, 10, 3);
	sleep(10);
end

function Start()
	EnableAutoFinish(nil);
	sleep(10);
	SummonCreature(DEFENDER, 16, 80 + d * 10, 5, 3);
	sleep(10);
	SummonCreature(DEFENDER, 20, 50 + d * 10, 5, 5);
	sleep(10);
	SummonCreature(DEFENDER, 16, 80 + d * 10, 5, 8);
	sleep(10);
	EnableCinematicCamera(not nil);
end

death = 0
function DefenderCreatureDeath()
	death = death + 1
	if death == 1 then
		sleep(10);
		SummonCreature(DEFENDER, 24, 35 + d * 5, 8, 6);
	end
	if death == 3 then
		sleep(10);
		SummonCreature(DEFENDER, 42, 15 + d * 5, 8, 5);
		sleep(10);
		SummonCreature(DEFENDER, 89, 20 + d * 5, 7, 2);
		sleep(10);
		SummonCreature(DEFENDER, 90, 15 + d * 5, 7, 8);
	end
	local defenders = GetDefenderCreatures();
	if (length(defenders) == 0) then Finish(ATTACKER) end;
end

function AttackerCreatureDeath()
	local attackers = GetAttackerCreatures();
	if (length(attackers) == 0) then Finish(DEFENDER) end;
end

function DefenderHeroMove(heroName)
	UnitCastGlobalSpell(GetDefenderHero(), 239);
	return not nil
end